import { StrictMode } from 'react';
import { createRoot } from 'react-dom/client';
import App from './App.tsx';
import './index.css';
import { isMobileDevice } from './utils/deviceDetection';

// Check for mobile device and redirect if necessary
if (isMobileDevice()) {
  window.location.href = 'https://blog.ivanch.me';
} else {
  createRoot(document.getElementById('root')!).render(
    <StrictMode>
      <App />
    </StrictMode>
  );
}
